Subject: [bug#54561] [PATCH 0/4] Add service declarations for Samba

From: Simon Streit <[email-masked]>
Date: Fri, 25 Mar 2022 09:48:38 +0100

Hello!

Please find attached several patches to add Samba and wsdd as service
declaration for Guix.  My Samba service declaration has been cut down in length
since I am preparing a serialiser, which has not been finalised yet.

But I'd rather still have these patch posted here to see it pushed eventually.
Or others can test it to see if there are any other improvements that should
be done and in case I've missed something.  Though the service definition is
rather simple for now.

Kind regards
Simon Streit (4):
  services: Add samba service.
  doc: Add "Samba" chapter.
  doc: Add documentation for WSDD service.
  services: Add wsdd service.

 doc/guix.texi          | 119 ++++++++++++++++++
 gnu/services/samba.scm | 280 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 399 insertions(+)
 create mode 100644 gnu/services/samba.scm

--
2.34.0